XScreenSaver(1)

NAME
juggle - juggling man screen saver.

SYNOPSIS
juggle [--display host:display.screen] [--root] [--window] [--visual visual] [--window-id number] [--mono] [--install | --noinstall] [--visual visual] [--window-id id] [--pattern pattern] [--tail number] [--real | --no-real] [--describe | --no-describe] [--balls | --no-balls] [--clubs | --no-clubs] [--torches | --no-torches] [--knives | --no-knives] [--rings | --no-rings] [--bballs | --no-bballs] [--count count] [--cycles cycles] [--delay delay] [--ncolors ncolors] [--fps]

DESCRIPTION
Draws a stick-man juggling various collections of objects.

OPTIONS
juggle accepts the following options:

--display host:display.screen
    X11 display to use. Overrides DISPLAY environment variable.

--root
    Draw on the root window.

--window
    Draw on a newly-created X window. This is the default.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window-id number
    Draw on the specified window.

--mono
    Draw in monochrome.

--install | --noinstall
    Turn on/off installing colormap.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window-id id
    Draw on an already existing X window.

--pattern " pattern "
    Specify juggling pattern in annotated site-swap notation. In site-swap notation, the "height" of each throw is given. E.g., "3" is the height needed to juggle a 3-Cascade. Note that these sequences need to be chosen carefully, to avoid collisions. Annotations indicate relative hand movements or tricks:
    - | Inside throw (default)
    + | Outside throw
     | Cross Throw
    & | Cross Catch
    x | Cross Throw and Catch
     | Bounce

--pattern "[ pattern ]"
    Specify juggling pattern in annotated Adam notation. Adam notation is a little harder to visualize. Each integer n represents a cyclic permutation of (0...n). The equivalent site-swap value is determined by calculating how many of the permutations it takes to get back to the identity. The largest number used is the same as the number of objects in the pattern. The advantage of Adam notation is that these sequences do not need to be chosen carefully, since all possible sequences are juggle-able. Annotations are the same as in site-swap notation. For example, both of these describe a 3-Shower:

    --pattern "+5 1"

    --pattern "[+3 1]" For further examples, see the portfolio list in the source code.

--tail number
    Minimum Trail Length. 0 - 100. Default: 1. Objects may override this, for example flaming torches always leave a trail.

--real|--no-real
    Turn on/off real-time juggling. Deprecated. There should be no need to turn off real-time juggling, even on slow systems. Adjust speed using --count above.

--describe|--no-describe
    Turn on/off pattern descriptions.

--balls|--no-balls
    Turn on/off Balls.

--clubs|--no-clubs
    Turn on/off Clubs.

--torches|--no-torches
    Turn on/off Flaming Torches.

--knives|--no-knives
    Turn on/off Knives.

--rings|--no-rings
    Turn on/off Rings.

--bballs|--no-bballs
    Turn on/off Bowling Balls.

--count number
    Speed. 50 - 1000. Default: 200. This determines the expected time interval between a throw and the next catch, in milliseconds.

--cycles number
    Performance Length. 50 - 1000. Default: 1000. Setting this smaller will force the juggler to switch patterns (and objects) more often.

--delay delay
    Additional delay between frames, in microseconds. Default: 10000. Deprecated. Adjust speed using --count.

--ncolors ncolors
    Maximum number of colors to use. Default: 32.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1996,2000,2002,2004 by Tim Auckland. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Tim Auckland.